|  | Home

# QtDoubleSpinBoxFactory Class Reference

The QtDoubleSpinBoxFactory class provides QDoubleSpinBox widgets for properties created by QtDoublePropertyManager objects. More...

     #include <QtDoubleSpinBoxFactory>

Inherits QtAbstractEditorFactory<QtDoublePropertyManager>.

- List of all members, including inherited members

## Public Functions

| QtDoubleSpinBoxFactory ( QObject * parent = 0 )
| ~QtDoubleSpinBoxFactory ()

- 5 public functions inherited from QtAbstractEditorFactory
- 1 public function inherited from QtAbstractEditorFactoryBase
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 3 protected functions inherited from QtAbstractEditorFactory
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtDoubleSpinBoxFactory class provides QDoubleSpinBox widgets for properties created by QtDoublePropertyManager objects.

See also QtAbstractEditorFactory and QtDoublePropertyManager.

## Member Function Documentation

### QtDoubleSpinBoxFactory::QtDoubleSpinBoxFactory ( QObject * parent = 0 )

Creates a factory with the given parent.

### QtDoubleSpinBoxFactory::~QtDoubleSpinBoxFactory ()

Destroys this factory, and all the widgets it has created.